| Openscape Voice V10 - SOAP Interface Documentation

Classes | Enumerations | Functions
Alias

Alias Definitions and Methods. More...

## Classes
class | AliasCreateObject
| Alias Create Data. More...
class | unsp__ArrayOfAliasCreateObject
| Array of Aliases to be created. More...
class | AliasListRemoveObject
| Alias Remove Data. More...
class | unsp__ArrayOfAliasListRemoveObject
| Array of Aliases to be removed. More...
class | AliasListCreateObject
| Alias Create Data. More...
class | unsp__ArrayOfAliasListCreateObject
| Array of Aliases to be removed. More...
class | unsp__CreateAliasRequest
| Create Alias request. More...
struct | unsp__CreateAliasResult
| Create Alias result. More...
class | unsp__RemoveAliasRequest
| Remove Alias request. More...
struct | unsp__RemoveAliasResult
| Remove Alias result. More...
class | unsp__QueryAliasRequest
| Query Alias request. More...
class | unsp__Alias
| Alias data. More...
class | unsp__ArrayOfAlias
| Array of alias data. More...
struct | unsp__AliasResult
| Query alias result. More...

## Enumerations
enum | unsp__AliasType { AtIgnored = -3, AtUnused = -2, AtUnAssigned = -1, AtEmailId, AtUrlId, AtH323Id, AtReserved, AtDataPtynum = 10, AtTelexPtynum, AtNATLStdPtynum, AtE164 = 20, AtPubPtyNumUnknown, AtPubPtyNumIntl, AtPubPtyNumNatl, AtPubPtyNumSubs, AtPubPtyNumNW, AtPubPtyNumAbbr, AtPrivPtyNumUnknown = 30, AtPrivPtyNumL2Region, AtPrivPtyNumL1Region, AtPrivPtyNumPisn, AtPrivPtyNumLocal, AtPrivPtyNumAbbr, AtSipUrl = 40 }
| Alias Type. More...

## Functions
int | unsp__createAlias (unsp__CreateAliasRequest CreateAliasRequest, struct unsp__CreateAliasResult *CreateAliasResult)
| Creates an Alias. More...
int | unsp__removeAlias (unsp__RemoveAliasRequest RemoveAliasRequest, struct unsp__RemoveAliasResult *RemoveAliasResult)
| Removes an Alias. More...
int | unsp__queryAlias (unsp__QueryAliasRequest QueryAliasRequest, struct unsp__AliasResult *QueryAliasResult)
| Queries Aliases. More...

## Detailed Description

Alias Definitions and Methods.

Aliases can be associated with SIP endpoints. For SIP endpoints, up to five aliases are allowed. All Aliases created within OpenScape Voice must be unique. This is because these Aliases are used to determine where a received SIP request originated. An alias can be an IP address, an FQDN or the combination of IP address/FQDN and a port separated by a colon.

## Enumeration Type Documentation

## ◆ unsp__AliasType

enum unsp__AliasType

Alias Type.

Enumerator
AtIgnored | Ignored.
AtUnused | Unused.
AtUnAssigned | Unassigned.
AtEmailId | Deprecated: NA
AtUrlId | Deprecated: NA
AtH323Id | Deprecated: NA
AtReserved | Deprecated: NA
AtDataPtynum | Deprecated: NA
AtTelexPtynum | Deprecated: NA
AtNATLStdPtynum | Deprecated: NA
AtE164 | Deprecated: NA
AtPubPtyNumUnknown | Deprecated: NA
AtPubPtyNumIntl | Deprecated: NA
AtPubPtyNumNatl | Deprecated: NA
AtPubPtyNumSubs | Deprecated: NA
AtPubPtyNumNW | Deprecated: NA
AtPubPtyNumAbbr | Deprecated:
AtPrivPtyNumUnknown | Deprecated: NA
AtPrivPtyNumL2Region | Deprecated:
AtPrivPtyNumL1Region | Deprecated: NA
AtPrivPtyNumPisn | Deprecated: NA
AtPrivPtyNumLocal | Deprecated: NA
AtPrivPtyNumAbbr | Deprecated: NA
AtSipUrl | SIP URL.

## Function Documentation

## ◆ unsp__createAlias()

unsp__createAlias | ( | unsp__CreateAliasRequest | CreateAliasRequest,
|  | struct unsp__CreateAliasResult * | CreateAliasResult
| ) |  |

Creates an Alias.

Parameters

  CreateAliasRequest | API request
  CreateAliasResult | API result MP2 command: Alias [Attributes]

## ◆ unsp__queryAlias()

unsp__queryAlias | ( | unsp__QueryAliasRequest | QueryAliasRequest,
|  | struct unsp__AliasResult * | QueryAliasResult
| ) |  |

Queries Aliases.

Parameters

  QueryAliasRequest | API request
  QueryAliasResult | API result

## ◆ unsp__removeAlias()

unsp__removeAlias | ( | unsp__RemoveAliasRequest | RemoveAliasRequest,
|  | struct unsp__RemoveAliasResult * | RemoveAliasResult
| ) |  |

Removes an Alias.

Parameters

  RemoveAliasRequest | API request
  RemoveAliasResult | API result MP2 command: RemoveAlias [Attributes]